OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
name_fns.h File Reference

Populates global structure with system-specific information. More...

`#include "orte_config.h"`
`#include "orte/types.h"`
`#include "opal/class/opal_list.h"`

Go to the source code of this file.

## Data Structures
struct | orte_namelist_t

## Macros
#define | ORTE_NS_CMP_NONE 0x00
#define | ORTE_NS_CMP_JOBID 0x02
#define | ORTE_NS_CMP_VPID 0x04
#define | ORTE_NS_CMP_EPOCH 0x08
#define | ORTE_NS_CMP_ALL 0x0f
#define | ORTE_NS_CMP_WILD 0x10
#define | ORTE_NAME_PRINT(n) orte_util_print_name_args(n)
#define | ORTE_JOBID_PRINT(n) orte_util_print_jobids(n)
#define | ORTE_VPID_PRINT(n) orte_util_print_vpids(n)
#define | ORTE_EPOCH_PRINT(n) ""
#define | ORTE_JOB_FAMILY_PRINT(n) orte_util_print_job_family(n)
#define | ORTE_LOCAL_JOBID_PRINT(n) orte_util_print_local_jobid(n)
#define | ORTE_JOB_FAMILY(n) (((n) >> 16) & 0x0000ffff)
#define | ORTE_HNP_NAME_FROM_JOB(n, job)
#define | ORTE_LOCAL_JOBID(n) ( (n) & 0x0000ffff)
#define | ORTE_CONSTRUCT_JOB_FAMILY(n) ( ((n) << 16) & 0xffff0000)
#define | ORTE_CONSTRUCT_LOCAL_JOBID(local, job) ( ((local) & 0xffff0000) | ((job) & 0x0000ffff) )
#define | ORTE_JOBID_IS_DAEMON(n) !((n) & 0x0000ffff)
#define | ORTE_EPOCH_GET(n) 0
#define | ORTE_EPOCH_SET(n, m)

## Typedefs
typedef struct orte_namelist_t | orte_namelist_t

## Functions
ORTE_DECLSPEC char * | orte_util_print_name_args (const orte_process_name_t *name)
ORTE_DECLSPEC char * | orte_util_print_jobids (const orte_jobid_t job)
ORTE_DECLSPEC char * | orte_util_print_vpids (const orte_vpid_t vpid)
ORTE_DECLSPEC char * | orte_util_print_job_family (const orte_jobid_t job)
ORTE_DECLSPEC char * | orte_util_print_local_jobid (const orte_jobid_t job)
ORTE_DECLSPEC char * | orte_pretty_print_timing (int64_t secs, int64_t usecs)
ORTE_DECLSPEC | OBJ_CLASS_DECLARATION (orte_namelist_t)
ORTE_DECLSPEC int | orte_util_convert_jobid_to_string (char **jobid_string, const orte_jobid_t jobid)
ORTE_DECLSPEC int | orte_util_convert_string_to_jobid (orte_jobid_t *jobid, const char *jobidstring)
ORTE_DECLSPEC int | orte_util_convert_vpid_to_string (char **vpid_string, const orte_vpid_t vpid)
ORTE_DECLSPEC int | orte_util_convert_string_to_vpid (orte_vpid_t *vpid, const char *vpidstring)
ORTE_DECLSPEC int | orte_util_convert_string_to_process_name (orte_process_name_t *name, const char *name_string)
ORTE_DECLSPEC int | orte_util_convert_process_name_to_string (char **name_string, const orte_process_name_t *name)
ORTE_DECLSPEC int | orte_util_create_process_name (orte_process_name_t **name, orte_jobid_t job, orte_vpid_t vpid)
ORTE_DECLSPEC int | orte_util_compare_name_fields (orte_ns_cmp_bitmask_t fields, const orte_process_name_t *name1, const orte_process_name_t *name2)
ORTE_DECLSPEC uint64_t | orte_util_hash_name (const orte_process_name_t *name)
| This funtion returns a guaranteed unique hash value for the passed process name.
ORTE_DECLSPEC int | orte_util_convert_string_to_sysinfo (char **cpu_type, char **cpu_model, const char *sysinfo_string)
ORTE_DECLSPEC int | orte_util_convert_sysinfo_to_string (char **sysinfo_string, const char *cpu_model, const char *cpu_type)

## Variables
BEGIN_C_DECLS typedef uint8_t | orte_ns_cmp_bitmask_t
| Bit mask for comparing process names.

## Detailed Description

Populates global structure with system-specific information.

Notes: add limits.h, compute size of integer and other types via sizeof(type)*CHAR_BIT

## Macro Definition Documentation

#define ORTE_EPOCH_SET | ( |  | n,
|  |  | m
| ) |  |

Value:
do { \
} while(0);

#define ORTE_HNP_NAME_FROM_JOB | ( |  | n,
|  |  | job
| ) |  |

Value:
do { \
(n)->jobid = (job) & 0xffff0000; \
(n)->vpid = 0; \
} while(0);

## Function Documentation

ORTE_DECLSPEC int orte_util_convert_string_to_jobid | ( | orte_jobid_t * | jobid,
|  | const char * | jobidstring
| ) |  |

check for wildcard character - handle appropriately

ORTE_DECLSPEC int orte_util_convert_string_to_process_name | ( | orte_process_name_t * | name,
|  | const char * | name_string
| ) |  |

copy input string as the strtok process is destructive

get first field -> jobid

get next field -> vpid

References orte_process_name_t::jobid, and orte_process_name_t::vpid.

Referenced by orte_rml_base_parse_uris().

ORTE_DECLSPEC int orte_util_convert_string_to_sysinfo | ( | char ** | cpu_type,
|  | char ** | cpu_model,
|  | const char * | sysinfo_string
| ) |  |

copy input string as the strtok process is destructive

get first field -> cpu_type

get next field -> cpu_model

ORTE_DECLSPEC int orte_util_convert_string_to_vpid | ( | orte_vpid_t * | vpid,
|  | const char * | vpidstring
| ) |  |

check for wildcard character - handle appropriately